import _extends from "@babel/runtime/helpers/extends";

/**
 * File: /src/components/MenuButton/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 19-08-2022 08:29:43
 * Author: Clay Risser
 * -----
 * Last Modified: 29-08-2022 14:14:34
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { Svg, Path } from "react-native-svg";
import { useAutoContrast } from "@risserlabs/auto-contrast";
import { IconButton } from "../IconButton";
export const menuIcon = _ref => {
  let {
    color = "#000000",
    size = 24
  } = _ref;
  return /*#__PURE__*/React.createElement(Svg, {
    viewBox: "0 0 24 24",
    width: size,
    height: size,
    fill: "currentColor",
    color: color
  }, /*#__PURE__*/React.createElement(Path, {
    d: "M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"
  }));
};
export const MenuButton = props => {
  const sx = useAutoContrast(props, {}, "buttons");
  return /*#__PURE__*/React.createElement(IconButton, _extends({}, props, {
    sx: sx
  }), menuIcon({
    color: sx.color,
    size: props.size
  }));
};
//# sourceMappingURL=index.js.map