(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "core-js/modules/web.dom-collections.iterator.js", "@babel/runtime/helpers/extends", "react", "react-native", "react-native-svg", "dripsy", "@risserlabs/auto-contrast", "../Box", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("core-js/modules/web.dom-collections.iterator.js"), require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("react-native-svg"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.webDomCollectionsIterator, global._extends, global.react, global.reactNative, global.reactNativeSvg, global.dripsy, global.autoContrast, global.Box, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _webDomCollectionsIterator, _extends2, _react, _reactNative, _reactNativeSvg, _dripsy, _autoContrast, _Box, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Checkbox = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Checkbox/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 01:05:11
   * Author: Lavanya Katari
   * -----
   * Last Modified: 09-09-2022 12:47:36
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const themeKey = "forms";
  const defaultStyle = {};

  const checkboxChecked = props => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, (0, _extends2.default)({
    width: props.size,
    height: props.size,
    viewBox: "0 0 24 24",
    fill: "currentColor"
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M19 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.11 0 2-.9 2-2V5c0-1.1-.89-2-2-2zm-9 14l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"
  }));

  const checkboxUnchecked = props => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, (0, _extends2.default)({
    width: props.size,
    height: props.size,
    viewBox: "0 0 24 24",
    fill: "currentColor"
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M19 5v14H5V5h14m0-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"
  }));

  const checkboxIcon = props => {
    if (props.checked) return checkboxChecked(props);
    return checkboxUnchecked(props);
  };

  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "radio"
  })(_ref => {
    let {
      showCursor
    } = _ref;
    return { ..._reactNative.Platform.select({
        web: {
          cursor: showCursor ? "pointer" : "default"
        }
      }),
      ...defaultStyle
    };
  });

  const Checkbox = props => {
    var _props$defaultChecked, _props$checked, _props$checked2;

    const [checked, setChecked] = (0, _react.useState)((_props$defaultChecked = props.defaultChecked) !== null && _props$defaultChecked !== void 0 ? _props$defaultChecked : false);
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...defaultStyle,
      color: props.disabled ? "gray" : "primary"
    }, themeKey);
    const {
      baseProps,
      checkboxProps
    } = (0, _props.useSplitProps)(props, sx);
    const handlePress = (0, _react.useCallback)(() => {
      if (props.disabled) return;
      setChecked(checked => !checked);
      if (props.onPress) props.onPress();
    }, [props.disabled]);
    return /*#__PURE__*/_react.default.createElement(StyledBox, (0, _extends2.default)({}, baseProps, {
      showCursor: !!(props.accessibilityRole === "link" || !props.disabled),
      sx: sx,
      onPress: handlePress
    }), _reactNative.Platform.OS === "web" && /*#__PURE__*/_react.default.createElement("input", (0, _extends2.default)({}, checkboxProps, {
      checked: (_props$checked = props.checked) !== null && _props$checked !== void 0 ? _props$checked : checked,
      readOnly: true,
      type: "checkbox",
      style: {
        height: 1,
        opacity: 0,
        overflow: "hidden",
        position: "absolute",
        width: 1,
        zIndex: -1
      }
    })), checkboxIcon({
      checked: (_props$checked2 = props.checked) !== null && _props$checked2 !== void 0 ? _props$checked2 : checked,
      color: sx.color,
      size: 24,
      style: {
        borderRadius: 4
      }
    }), props.children);
  };

  _exports.Checkbox = Checkbox;
});
//# sourceMappingURL=index.js.map