(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@risserlabs/auto-contrast", "../Box", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.autoContrast, global.Box, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _autoContrast, _Box, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Container = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Container/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 13:07:00
   * Author: ajithkrm6
   * -----
   * Last Modified: 09-09-2022 12:52:20
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "layout";
  const defaultStyle = {
    maxWidth: "container",
    mx: "auto",
    width: "100%"
  };
  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "container"
  })(defaultStyle);

  const Container = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    return /*#__PURE__*/_react.default.createElement(StyledBox // eslint-disable-next-line @typescript-eslint/no-explicit-any
    , (0, _extends2.default)({}, props, {
      sx: sx,
      themeKey: (0, _util.forwardThemeKey)(props, themeKey)
    }));
  };

  _exports.Container = Container;
});
//# sourceMappingURL=index.js.map