(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native", "dripsy", "@risserlabs/auto-contrast", "../Box", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNative, global.dripsy, global.autoContrast, global.Box, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNative, _dripsy, _autoContrast, _Box, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Grid = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Grid/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 27-06-2022 10:03:43
   * Author: Ajithkrm6
   * -----
   * Last Modified: 09-09-2022 13:11:49
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "grids";
  const defaultStyle = {
    width: "100%"
  };
  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey
  })(defaultStyle);

  const Item = _ref => {
    let {
      item
    } = _ref;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1,
        maxWidth: "".concat(100 / item.columns, "%")
      }
    }, /*#__PURE__*/_react.default.createElement(_Box.Box, {
      style: {
        width: "100%"
      }
    }, item.node));
  };

  const Grid = props => {
    const breakpointIndex = (0, _dripsy.useBreakpointIndex)();
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    const {
      baseProps,
      flatListProps
    } = (0, _props.useSplitProps)(props, sx);
    let columns = typeof props.columns === "number" ? props.columns : 4;

    if (Array.isArray(props.columns) && breakpointIndex < props.columns.length) {
      columns = props.columns[breakpointIndex];
    }

    const data = (Array.isArray(props.children) ? props.children : [props.children]).map(node => ({
      node,
      columns
    }));
    return /*#__PURE__*/_react.default.createElement(StyledBox // eslint-disable-next-line @typescript-eslint/no-explicit-any
    , (0, _extends2.default)({}, baseProps, {
      sx: sx,
      style: {
        flex: columns
      }
    }), /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, (0, _extends2.default)({}, flatListProps, {
      key: columns,
      data: data,
      numColumns: columns,
      renderItem: Item
    })));
  };

  _exports.Grid = Grid;
});
//# sourceMappingURL=index.js.map