(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@expo/html-elements/build/css/units", "@risserlabs/auto-contrast", "../Text"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@expo/html-elements/build/css/units"), require("@risserlabs/auto-contrast"), require("../Text"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.units, global.autoContrast, global.Text);
    global.H6 = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _units, _autoContrast, _Text) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.H6 = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Heading/H6.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 12-09-2022 12:01:57
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "text";
  const defaultStyle = {
    fontSize: (0, _units.em)(0.67),
    fontWeight: "bold",
    my: (0, _units.em)(2.33)
  };
  const StyledH6 = (0, _dripsy.styled)(_Text.Text, {
    themeKey,
    defaultVariant: "h6"
  })(defaultStyle);

  const H6 = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey); // eslint-disable-next-line @typescript-eslint/no-explicit-any

    return /*#__PURE__*/_react.default.createElement(StyledH6, (0, _extends2.default)({}, props, {
      sx: sx
    }));
  };

  _exports.H6 = H6;
});
//# sourceMappingURL=H6.js.map