(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "../Button", "@risserlabs/auto-contrast"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("../Button"), require("@risserlabs/auto-contrast"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.Button, global.autoContrast);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _Button, _autoContrast) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.IconButton = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/IconButton/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 05-09-2022 06:37:10
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const StyledButton = (0, _dripsy.styled)(_Button.Button, {
    themeKey: "buttons",
    defaultVariant: "icon"
  })({
    alignItems: "center",
    appearance: "none",
    backgroundColor: "transparent",
    border: "none",
    borderRadius: 4,
    justifyContent: "center",
    pb: 1,
    pl: 1,
    pr: 1,
    pt: 1
  });

  const IconButton = props => {
    const sx = (0, _autoContrast.useCalculatedSx)({
      width: props.size,
      height: props.size,
      ...(props.sx || {})
    });
    return /*#__PURE__*/_react.default.createElement(StyledButton, (0, _extends2.default)({}, props, {
      sx: sx
    }));
  };

  _exports.IconButton = IconButton;
  IconButton.defaultProps = {
    size: 32
  };
});
//# sourceMappingURL=index.js.map