(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "core-js/modules/web.dom-collections.iterator.js", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("core-js/modules/web.dom-collections.iterator.js"), require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.webDomCollectionsIterator, global.util);
    global.props = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _webDomCollectionsIterator, _util) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.useSplitProps = void 0;

  /**
   * File: /src/components/Image/props.ts
   * Project: @native-theme-ui/core
   * File Created: 20-07-2022 23:39:41
   * Author: Harikittu46
   * -----
   * Last Modified: 14-10-2022 08:04:46
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const useSplitProps = (0, _util.createUseSplitProps)({
    motiPressableProps: [..._util.splitPropsGroups.props.moti, ..._util.splitPropsGroups.props.pressable]
  }, {
    innerSx: _util.splitPropsGroups.sx.inner
  });
  _exports.useSplitProps = useSplitProps;
});
//# sourceMappingURL=props.js.map