(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native-svg", "@risserlabs/auto-contrast", "../IconButton"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native-svg"), require("@risserlabs/auto-contrast"), require("../IconButton"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNativeSvg, global.autoContrast, global.IconButton);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNativeSvg, _autoContrast, _IconButton) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.menuIcon = _exports.MenuButton = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/MenuButton/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 19-08-2022 08:29:43
   * Author: Clay Risser
   * -----
   * Last Modified: 29-08-2022 14:14:34
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const menuIcon = _ref => {
    let {
      color = "#000000",
      size = 24
    } = _ref;
    return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
      viewBox: "0 0 24 24",
      width: size,
      height: size,
      fill: "currentColor",
      color: color
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
      d: "M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"
    }));
  };

  _exports.menuIcon = menuIcon;

  const MenuButton = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, "buttons");
    return /*#__PURE__*/_react.default.createElement(_IconButton.IconButton, (0, _extends2.default)({}, props, {
      sx: sx
    }), menuIcon({
      color: sx.color,
      size: props.size
    }));
  };

  _exports.MenuButton = MenuButton;
});
//# sourceMappingURL=index.js.map