(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "../Box", "dripsy", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("../Box"), require("dripsy"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.Box, global.dripsy, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _Box, _dripsy, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Progress = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Progress/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 07-09-2022 07:54:11
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "variants";
  const defaultVariant = "styles.progress";
  const defaultParentBoxStyle = {
    appearance: "none",
    bg: "gray",
    border: "none",
    borderRadius: 9999,
    height: 4,
    margin: 0,
    overflow: "hidden",
    padding: 0,
    width: "100%"
  };
  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant
  })(defaultParentBoxStyle);

  const Progress = props => {
    const {
      baseProps,
      baseStyle,
      baseSx,
      colorStyle,
      colorSx
    } = (0, _props.useSplitProps)(props);
    const max = props.max || 100;
    const value = props.value || 0;
    return /*#__PURE__*/_react.default.createElement(StyledBox, (0, _extends2.default)({}, baseProps, {
      sx: baseSx,
      style: baseStyle
    }), /*#__PURE__*/_react.default.createElement(_Box.Box, {
      sx: {
        backgroundColor: colorSx.color || "primary",
        bg: colorSx.color || "primary"
      },
      style: {
        backgroundColor: colorStyle.color,
        height: "100%",
        width: "".concat(Math.max(Math.min(value / max, 1), 0) * 100, "%")
      }
    }));
  };

  _exports.Progress = Progress;
});
//# sourceMappingURL=index.js.map