(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "core-js/modules/web.dom-collections.iterator.js", "@babel/runtime/helpers/extends", "react", "react-native", "react-native-svg", "dripsy", "@risserlabs/auto-contrast", "../Box", "./RadioGroup", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("core-js/modules/web.dom-collections.iterator.js"), require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("react-native-svg"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("./RadioGroup"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.webDomCollectionsIterator, global._extends, global.react, global.reactNative, global.reactNativeSvg, global.dripsy, global.autoContrast, global.Box, global.RadioGroup, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _webDomCollectionsIterator, _extends2, _react, _reactNative, _reactNativeSvg, _dripsy, _autoContrast, _Box, _RadioGroup, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Radio = void 0;
  Object.defineProperty(_exports, "RadioGroup", {
    enumerable: true,
    get: function () {
      return _RadioGroup.RadioGroup;
    }
  });
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Radio/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 20-06-2022 07:09:45
   * Author: Lavanya Katari
   * -----
   * Last Modified: 09-09-2022 12:47:22
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const themeKey = "forms";
  const defaultStyle = {};

  const radioChecked = props => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, (0, _extends2.default)({
    width: props.size,
    height: props.size,
    viewBox: "0 0 24 24",
    fill: "currentColor"
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M12 7c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5zm0-5C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"
  }));

  const radioUnchecked = props => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, (0, _extends2.default)({
    width: props.size,
    height: props.size,
    viewBox: "0 0 24 24",
    fill: "currentColor"
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"
  }));

  const radioIcon = props => {
    if (props.checked) return radioChecked(props);
    return radioUnchecked(props);
  };

  const StyledBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "radio"
  })(_ref => {
    let {
      showCursor
    } = _ref;
    return { ..._reactNative.Platform.select({
        web: {
          cursor: showCursor ? "pointer" : "default"
        }
      }),
      ...defaultStyle
    };
  });

  const Radio = props => {
    var _props$defaultChecked, _props$checked, _props$checked2;

    const [radioGroupIndex, setRadioGroupIndex] = (0, _react.useContext)(_RadioGroup.RadioGroupContext);
    const radioId = (0, _react.useContext)(_RadioGroup.RadioIdContext);
    const [checked, setChecked] = (0, _react.useState)((_props$defaultChecked = props.defaultChecked) !== null && _props$defaultChecked !== void 0 ? _props$defaultChecked : false);
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...defaultStyle,
      color: props.disabled ? "gray" : "primary"
    }, themeKey);
    const {
      baseProps,
      radioProps
    } = (0, _props.useSplitProps)(props, sx);
    (0, _react.useEffect)(() => {
      if (typeof radioGroupIndex === "number" && radioGroupIndex !== radioId) {
        setChecked(false);
      }
    }, [radioGroupIndex]);
    const handlePress = (0, _react.useCallback)(() => {
      if (props.disabled) return;
      setChecked(checked => {
        if (!checked && typeof radioId === "number") {
          setRadioGroupIndex(radioId);
        }

        return true;
      });
      if (props.onPress) props.onPress();
    }, []);
    return /*#__PURE__*/_react.default.createElement(StyledBox, (0, _extends2.default)({}, baseProps, {
      showCursor: !!(props.accessibilityRole === "link" || !props.disabled),
      sx: sx,
      onPress: handlePress
    }), _reactNative.Platform.OS === "web" && /*#__PURE__*/_react.default.createElement("input", (0, _extends2.default)({}, radioProps, {
      checked: (_props$checked = props.checked) !== null && _props$checked !== void 0 ? _props$checked : checked,
      readOnly: true,
      type: "radio",
      style: {
        height: 1,
        opacity: 0,
        overflow: "hidden",
        position: "absolute",
        width: 1,
        zIndex: -1
      }
    })), radioIcon({
      checked: (_props$checked2 = props.checked) !== null && _props$checked2 !== void 0 ? _props$checked2 : checked,
      color: sx.color,
      size: 24
    }), props.children);
  };

  _exports.Radio = Radio;
});
//# sourceMappingURL=index.js.map