/**
 * File: /src/components/Radio/props.ts
 * Project: @native-theme-ui/core
 * File Created: 05-07-2022 06:24:30
 * Author: Clay Risser
 * -----
 * Last Modified: 09-09-2022 12:08:54
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Sx } from "dripsy";
import { BoxProps } from "../Box";
export declare type BasePropsBucket = BoxProps;
export declare type RadioPropsBucket = {
    checked?: boolean;
    disabled?: boolean;
    name?: string;
    defaultChecked?: boolean;
};
export declare const useSplitProps: (props: RadioProps, sx?: Sx | undefined) => {
    baseProps: BasePropsBucket;
    radioProps: RadioPropsBucket;
} & {
    baseSx: Sx;
    voidSx: Sx;
} & {
    baseStyle: Record<string, unknown>;
    voidStyle: Record<string, unknown>;
};
export declare type RadioProps = BasePropsBucket & RadioPropsBucket;
