(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "core-js/modules/web.dom-collections.iterator.js", "react", "react-native-reanimated", "react-native", "dripsy", "@risserlabs/auto-contrast", "../Box", "../Label", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("core-js/modules/web.dom-collections.iterator.js"), require("react"), require("react-native-reanimated"), require("react-native"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("../Label"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.webDomCollectionsIterator, global.react, global.reactNativeReanimated, global.reactNative, global.dripsy, global.autoContrast, global.Box, global.Label, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _webDomCollectionsIterator, _react, _reactNativeReanimated, _reactNative, _dripsy, _autoContrast, _Box, _Label, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Switch = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Switch/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 01:05:11
   * Author: Lavanya Katari
   * -----
   * Last Modified: 11-09-2022 07:41:01
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any,@typescript-eslint/no-non-null-assertion */
  const themeKey = "forms";
  const StyledOuterBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "switch"
  })(_ref => {
    let {
      showCursor
    } = _ref;
    return { ..._reactNative.Platform.select({
        web: {
          cursor: showCursor ? "pointer" : "default"
        }
      }),
      alignSelf: "flex-start",
      alignItems: "center"
    };
  });
  const StyledGutterBox = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: "switch"
  })({});

  const Switch = props => {
    var _props$defaultChecked, _props$checked, _props$checked3, _props$checked4, _props$checked5;

    const [checked, setChecked] = (0, _react.useState)((_props$defaultChecked = props.defaultChecked) !== null && _props$defaultChecked !== void 0 ? _props$defaultChecked : false);
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, themeKey);

    const style = _reactNative.StyleSheet.flatten(props.style || {});

    const {
      baseProps,
      checkboxProps,
      innerSx,
      innerStyle,
      baseStyle,
      baseSx
    } = (0, _props.useSplitProps)(props, sx);
    const bg = style.backgroundColor || sx.backgroundColor || sx.bg || "primary";
    let from = {
      transform: [{
        translateX: ((_props$checked = props.checked) !== null && _props$checked !== void 0 ? _props$checked : checked) ? props.size : 0
      }]
    };
    (0, _react.useEffect)(() => {
      var _props$checked2;

      from = {
        transform: [{
          translateX: ((_props$checked2 = props.checked) !== null && _props$checked2 !== void 0 ? _props$checked2 : checked) ? 0 : props.size
        }]
      };
    }, [props.size, props.checked, checked]);
    const handlePress = (0, _react.useCallback)(() => {
      if (props.disabled) return;
      setChecked(checked => !checked);
      if (props.onPress) props.onPress();
    }, [props.disabled]);
    return /*#__PURE__*/_react.default.createElement(StyledOuterBox, (0, _extends2.default)({}, baseProps, {
      sx: baseSx,
      style: { ...baseStyle,
        flexDirection: "row"
      },
      showCursor: !!(props.accessibilityRole === "link" || !props.disabled),
      onPress: handlePress
    }), _reactNative.Platform.OS === "web" && /*#__PURE__*/_react.default.createElement("input", (0, _extends2.default)({}, checkboxProps, {
      checked: (_props$checked3 = props.checked) !== null && _props$checked3 !== void 0 ? _props$checked3 : checked,
      readOnly: true,
      type: "checkbox",
      style: {
        height: 1,
        opacity: 0,
        overflow: "hidden",
        position: "absolute",
        width: 1,
        zIndex: -1
      }
    })), /*#__PURE__*/_react.default.createElement(StyledGutterBox, {
      sx: { ...innerSx,
        ...(props.label ? {
          mr: 2
        } : {}),
        bg: ((_props$checked4 = props.checked) !== null && _props$checked4 !== void 0 ? _props$checked4 : checked) ? bg : "gray"
      },
      style: { ...innerStyle,
        alignItems: "center",
        borderRadius: props.size,
        flexDirection: "row",
        flexShrink: 0,
        height: props.size + props.gutter * 2,
        padding: props.gutter,
        width: props.size * 2 + props.gutter * 2
      },
      transition: {
        duration: 0,
        type: "timing"
      }
    }, /*#__PURE__*/_react.default.createElement(_Box.Box, {
      from: from,
      animate: {
        transform: [{
          translateX: ((_props$checked5 = props.checked) !== null && _props$checked5 !== void 0 ? _props$checked5 : checked) ? props.size : 0
        }]
      },
      sx: {
        bg: "white",
        boxShadow: "0 1px 2px rgba(0, 0, 0, 0.1)",
        cursor: "pointer"
      },
      style: {
        borderRadius: 9999,
        height: props.size,
        width: props.size
      },
      transition: {
        duration: 240,
        easing: _reactNativeReanimated.Easing.bezier(0.165, 0.84, 0.44, 1),
        type: "timing"
      }
    })), props.label && /*#__PURE__*/_react.default.createElement(_Label.Label, null, props.label));
  };

  _exports.Switch = Switch;
  Switch.defaultProps = {
    gutter: 2,
    size: 18
  };
});
//# sourceMappingURL=index.js.map