(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "moti", "react-native", "dripsy", "@risserlabs/auto-contrast", "./props", "../../hooks"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("moti"), require("react-native"), require("dripsy"), require("@risserlabs/auto-contrast"), require("./props"), require("../../hooks"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.moti, global.reactNative, global.dripsy, global.autoContrast, global.props, global.hooks);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _moti, _reactNative, _dripsy, _autoContrast, _props, _hooks) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Text = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Text/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 02-11-2022 04:52:14
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  /* eslint-disable @typescript-eslint/no-explicit-any */
  const themeKey = "text";
  const defaultStyle = {
    fontFamily: "body",
    fontWeight: "body"
  };
  const StyledText = (0, _dripsy.styled)(_reactNative.Text, {
    themeKey,
    defaultVariant: "default"
  })(defaultStyle);
  const StyledMotiText = (0, _dripsy.styled)(_moti.MotiText, {
    themeKey,
    defaultVariant: "default"
  })(defaultStyle);

  const Text = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, themeKey);
    const {
      motiProps
    } = (0, _props.useSplitProps)(props, sx);
    const isMoti = !!Object.keys(motiProps).length;
    const {
      animate,
      from,
      exit
    } = (0, _hooks.useCalculateMoti)(props, themeKey, isMoti);
    if (!isMoti) return /*#__PURE__*/_react.default.createElement(StyledText, (0, _extends2.default)({}, props, {
      sx: sx
    }));
    return /*#__PURE__*/_react.default.createElement(StyledMotiText, (0, _extends2.default)({}, props, {
      animate: animate,
      exit: exit,
      from: from,
      sx: sx
    }));
  };

  _exports.Text = Text;
});
//# sourceMappingURL=index.js.map